Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455925 - Review Request: htop - interactive process viewer
Summary: Review Request: htop - interactive process viewer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 20:00 UTC by Adam Miller
Modified: 2008-12-29 22:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-29 22:15:11 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Adam Miller 2008-07-18 20:00:18 UTC
Spec URL: http://www.shsu.edu/~ajm023/htop-0.7-2.src.rpm
SRPM URL: http://www.shsu.edu/~ajm023/htop.spec
Description: htop is an interactive text-mode process viewer for Linux.
It aims to be a better 'top'.

This is my first package: seeking sponsor. I would like to package this for EPEL. I have contacted the upstream Fedora packager for verification at they would not like to do it themselves.

Original review request for htop inclusion into Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=172900

Comment 1 Kevin Fenzi 2008-07-21 20:56:00 UTC
Hey Adam. 

I'll take a look at sponsoring you.

First: Do you plan to maintain any other packages? Do you have any new ones you
want to submit? 

Secondly: If not, would you be interested in doing some pre-reviews (you can't
do offical reviews until you are sponsored) of other packages waiting to be
reviewed? 

I will try and take a look at this package later tonight... 

Comment 2 Adam Miller 2008-07-23 04:07:31 UTC
(In reply to comment #1)
> Hey Adam. 
> 
> I'll take a look at sponsoring you.
> 
> First: Do you plan to maintain any other packages? Do you have any new ones you
> want to submit? 
> 
> Secondly: If not, would you be interested in doing some pre-reviews (you can't
> do offical reviews until you are sponsored) of other packages waiting to be
> reviewed? 
> 
> I will try and take a look at this package later tonight... 

Kevin,
    Thank you so much for looking at the package and considering my sponsorship!
I am currently looking into packaging txt2tags
(http://txt2tags.sourceforge.net/) but I haven't worked on it at all just yet.
My interest in EPEL sparked because of my employment is as a RHEL administrator
but I would love to contribute to Fedora as well and if there is anything that
needs doing I would be willing to contribute where ever I am able and if
pre-reviews/reviews is where help is needed, then I would be very willing to
contribute there. Thank you again for looking into the package as well as my
sponsorship, hope to be in touch soon.

    -Adam

Comment 3 Kevin Fenzi 2008-07-31 03:46:12 UTC
Sorry for the long delay here... ;( 

A few questions: 

1. Why change the buildroot from the fedora spec?

2. Did you build/test/intend to maintain this in EL-4, EL-5 or both? 

3. I see that version 0.8 is available. Would you care to update the spec to
this version and post updated src/spec files? 

I will go look at your other package submission now... ;) 

Comment 4 Adam Miller 2008-07-31 14:10:41 UTC
SPEC URL: http://www.shsu.edu/~ajm023/htop.spec
SRPM URL: http://www.shsu.edu/~ajm023/htop-0.8-1.src.rpm

I upgraded to 0.8, built and tested for EL5 ... I unfortunately don't have an
EL4 test environment at my disposal at the moment, but I would like to maintain
for both EL4 and EL5 (and future releases).

I joined the htop mailing list so I am alerted on new releases from now on.

Thanks again!

Comment 5 manuel wolfshant 2008-07-31 15:12:26 UTC
The src.rpm from #4 works for me on Centos4/i386.

Comment 6 Kevin Fenzi 2008-08-12 00:41:34 UTC
Removing needsponsor, as I have offered to sponsor submitter. 

I see no further issues here, so this package is APPROVED.

Comment 7 Adam Miller 2008-08-12 22:01:44 UTC
Package Change Request
======================
Package Name: htop
New Branches: EL-4 EL-5
Updated EPEL Owners: maxamillion

Comment 8 Kevin Fenzi 2008-08-13 05:09:23 UTC
cvs done.

Comment 9 Itamar Reis Peixoto 2008-12-29 22:15:11 UTC
lost bug, closing it.
htop seems to be ok


Note You need to log in before you can comment on or make changes to this bug.